Skip to main content
GET
/
teams
List teams
curl --request GET \
  --url https://api.stack-auth.com/api/v1/teams
{
  "items": [
    {
      "created_at_millis": 1630000000000,
      "id": "ad962777-8244-496a-b6a2-e0c6a449c79e",
      "display_name": "My Team",
      "server_metadata": {
        "key": "value"
      },
      "profile_image_url": "https://example.com/image.jpg",
      "client_metadata": {
        "key": "value"
      },
      "client_read_only_metadata": {
        "key": "value"
      }
    }
  ],
  "pagination": {
    "next_cursor": "b3d396b8-c574-4c80-97b3-50031675ceb2"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.hexclave.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

user_id
string

Filter for the teams that the user is a member of. Can be either me or an ID. Must be me in the client API

Example:

"me"

order_by
enum<string>

Field to order results by. Currently only created_at is supported.

Available options:
created_at
Example:

"created_at"

desc
enum<string>

Whether to order results in descending order. Defaults to false (ascending).

Available options:
true,
false
Example:

"false"

limit
integer

The maximum number of items to return (capped at 200).

cursor
string

The cursor to start the result set from. Requires limit to also be set.

query
string

A search query to filter the results by. Free-text search applied to the team's id (exact-match) and display name.

Response

200 - application/json

Successful response

items
object[]
required
pagination
object